# Uses of Interface
jdk.jshell.JShellConsole

Packages that use JShellConsole
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.
jdk.jshell.spi
Defines the Service Provider Interface for pluggable JShell execution engines.

- ## Uses of JShellConsole in jdk.jshell

  Methods in jdk.jshell with parameters of type JShellConsole
  Modifier and Type
  Method
  Description
  `JShell.Builder`
  JShell.Builder.`console(JShellConsole console)`
  Sets the console for the running evalution.

- ## Uses of JShellConsole in jdk.jshell.spi

  Methods in jdk.jshell.spi that return types with arguments of type JShellConsole
  Modifier and Type
  Method
  Description
  `default Optional<JShellConsole>`
  ExecutionEnv.`console()`
  Returns the `JShellConsole` that should be used by the execution engine, or `null` if none.